# Inputs from quazip of openmandriva and mageia

%define oldname quazip
%define major 1
%define libname %mklibname %{oldname} 5 %{major}
%define devname %mklibname -d %{oldname}
%define debug_package %nil

Name:		quazip-qt5
Version:	0.7.3
Release:	%mkrel 2
Summary:	Qt/C++ wrapper for the minizip library
License:	LGPLv2+
Group:		System/Libraries
Url:		http://quazip.sourceforge.net/
Source0:	http://downloads.sourceforge.net/%{oldname}/%{oldname}-%{version}.tar.xz
# imported from mageia
Patch0:		%{oldname}-0.7.2-fix_static.patch
#------------------------------------
BuildRequires: cmake
BuildRequires: doxygen
BuildRequires: graphviz
BuildRequires: lib64qt5core-devel
BuildRequires: lib64zip-devel
BuildRequires: zlib1-devel
#------------------------------------

%description
QuaZIP is a simple C++ wrapper over Gilles Vollant's ZIP/UNZIP package that
can be used to access ZIP archives. It uses Trolltech's Qt toolkit.

QuaZIP allows you to access files inside ZIP archives using QIODevice API,
and - yes! - that means that you can also use QTextStream, QDataStream or
whatever you would like to use on your zipped files.

QuaZIP provides complete abstraction of the ZIP/UNZIP API, for both reading
from and writing to ZIP archives.

%package 	-n %{libname}
Summary:	Qt5/C++ wrapper for the minizip library

%description 	-n %{libname}
QuaZIP is a simple C++ wrapper over Gilles Vollant's ZIP/UNZIP package that
can be used to access ZIP archives. It uses Trolltech's Qt5 toolkit.

QuaZIP allows you to access files inside ZIP archives using QIODevice API,
and - yes! - that means that you can also use QTextStream, QDataStream or
whatever you would like to use on your zipped files.

QuaZIP provides complete abstraction of the ZIP/UNZIP API, for both reading
from and writing to ZIP archives.

%package 	-n %{devname}
Summary:	Development files for %{oldname}
Group:		Development/Libraries
Requires:	pkgconfig(libzip)
Requires:	qt5-devel
Requires:	%{libname} = %{version}-%{release}
Provides:	%{oldname}-devel = %{version}-%{release}

%description 	-n %{devname}
This package contains libraries, header files and documentation for developing
applications that use %{libname}.

%prep
%setup -qn %{oldname}-%{version}
%patch0 -p1

# fix build and install
sed -i 's\PREFIX/lib\PREFIX/%{_lib}\' %{oldname}/%{oldname}.pro
# remove test programs
sed -i 's\qztest\\g' %{oldname}.pro

%build
%cmake_qt5 PREFIX=%{_prefix} QMAKE_CXXFLAGS_RELEASE= LIBS+="-lzip -lz" ..
%make

cd ..
doxygen Doxyfile
for file in doc/html/*; do
	touch -r Doxyfile $file
done

%install
rm -rf %buildroot
%make_install -C build

%files -n %{libname}
%doc COPYING* NEWS.txt README.txt
%{_libdir}/libquazip5.so.%{major}*

%files -n %{devname}
%doc doc/html
%{_includedir}/%{oldname}5/
%{_libdir}/lib%{oldname}5.so
%{_datadir}/cmake/Modules/FindQuaZip5.cmake


%changelog
* Mon Jan 15 2018 bb2 <bb2> 0.7.3-1pclos2018
- clean up BR

* Fri Jan 12 2018 Zen Subz <techars21 at gmail dot com> - 0.7.3-1pclos2018
- Fix lib-version to avoid conflict with quazip
- Build for PCLinuxOS
